c
c
c =========================================================
       subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,q,maux,aux)
c =========================================================
c
c     # Set initial conditions for q.
c
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc, meqn)
      dimension aux(1-mbc:maxmx+mbc, *)
c
c
      do 150 i=1-mbc,mx+mbc
         xcell = xlower + (i-0.5d0)*dx

         q(i,1) = 1.d0
         q(i,2) = 0.d0
         q(i,3) = 0.d0

         d = 1.d0 - dsin(xcell)
         q1 = 2.d0*dexp(-40.d0*d**2)
         if (q1 .gt. 1.d-10) then
            q(i,1) = q(i,1) + q1
            endif

  150    continue
c
      return
      end
